/// An enum series has more categories than the max allowed.
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct TooManyCategories {
    #[serde(rename = "numCategories")]
    num_categories: i32,
    #[serde(rename = "maxAllowed")]
    max_allowed: i32,
}
impl TooManyCategories {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(num_categories: i32, max_allowed: i32) -> Self {
        Self::builder().num_categories(num_categories).max_allowed(max_allowed).build()
    }
    #[inline]
    pub fn num_categories(&self) -> i32 {
        self.num_categories
    }
    #[inline]
    pub fn max_allowed(&self) -> i32 {
        self.max_allowed
    }
}
impl conjure_error::ErrorType for TooManyCategories {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Compute:TooManyCategories"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["maxAllowed", "numCategories"]
    }
}
